-- For functions in which the return value type depends on the input and a condition.

local function ValueUnpack(inval)
	if IsTableToBool(inval) then
		return TableUnpack(inval)
	else
		return inval
	end
end
